-- ----------------------------------------------------------------------------
goalGetAway.mSteps = 
{
	{ action = "click", object = objectIoWireBatteryLocation, selection = objectHoWiresBattery },
	{ action = "solve", layout = layoutWoods1Battery },
}
-- ----------------------------------------------------------------------------
function goalGetAway:onSolveFinish(layout)

	if (layout == layoutWoods1Battery) then
		self:achieved()
	end

end
-- ----------------------------------------------------------------------------
function goalGetAway:onStarted()

	objectExitCryptCemetery:ss(kActive)
	layoutWoods2.shouldShowRaven = true

end
-- ----------------------------------------------------------------------------
function goalGetAway:onFinished()

	ghf.cancelAnimation("breakingDoorLoop")
	layoutWoods1Battery:hide()
	layoutWoods1Engine:hide()
	play(movieSettings[kMovieEnd])

end